summaryrefslogtreecommitdiffstats
path: root/system/tarsnap/tarsnap.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/tarsnap/tarsnap.SlackBuild')
-rw-r--r--system/tarsnap/tarsnap.SlackBuild14
1 files changed, 6 insertions, 8 deletions
diff --git a/system/tarsnap/tarsnap.SlackBuild b/system/tarsnap/tarsnap.SlackBuild
index 912c58875d..6c30132cd1 100644
--- a/system/tarsnap/tarsnap.SlackBuild
+++ b/system/tarsnap/tarsnap.SlackBuild
@@ -2,9 +2,9 @@
# Slackware build script for tarsnap
-# Written by Justin H Haynes <justin@justinhaynes.com>
-# as a series of careful modifications to the excellent
-# http://slackbuilds.org/template.SlackBuild
+# Written by Justin H Haynes <justin@justinhaynes.com>
+# as a series of careful modifications to the excellent
+# http://slackbuilds.org/template.SlackBuild
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
@@ -24,12 +24,10 @@ VERSION=${VERSION:-1.0.26}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -39,11 +37,11 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Normally we'd have this if block here for setting ARCH and
+# Normally we'd have this if block here for setting ARCH and
# feeding same to the configure script, but the tarsnap configure script
-# figures out the architecture itself.
+# figures out the architecture itself.
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT